Package org.eclipse.swt.custom

# Interface VerifyKeyListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `ContentAssistant.AutoAssistListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface VerifyKeyListener extends EventListener
Classes which implement this interface provide a method that deals with the event that is generated when a key is pressed.

See Also:
  - `VerifyEvent`
  - Sample code and further information

## Method Summary

Modifier and Type
Method
Description
`void`
`verifyKey(VerifyEvent event)`
The following event fields are used: event.character is the character that was typed (input) event.keyCode is the key code that was typed (input) event.stateMask is the state of the keyboard (input) event.doit is processed or not (output)

## Method Details

### verifyKey

void verifyKey(VerifyEvent event)
The following event fields are used:

- event.character is the character that was typed (input)
- event.keyCode is the key code that was typed (input)
- event.stateMask is the state of the keyboard (input)
- event.doit is processed or not (output)

Parameters:
  `event` - the verify event
See Also:
  - `VerifyEvent`